@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

* {
  font-family: "Poppins", sans-serif;
  scroll-behavior: smooth;
}

body {
  background-color: #f0f4f5;
}
li {
  list-style: none;
}

a {
  text-decoration: none;
  color: #e83dce;
}

h1 {
  color: #2ede57;
}

h2 {
  color: #4054d5;
}

h3 {
  color: #e83dce;
}

h4 {
  color: #e66e13;
}

nav.navbar {
  background: #3c21d8 !important;
  z-index: 100;
}

.navbar-brand {
  font-weight: 700;
  text-transform: uppercase;
}

.navbar-toggler {
  color: #fff !important;
  border: none !important;
}

/* marquee ตัวหนังสือวิ่ง" */
.custom-marquee {
  color: #e6386c;
}

/* CSS animations ตัวหนังสือกระพริบ */
@keyframes blinking {
  0% {
    opacity: 1;
  }
  50% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

.blinking-text {
  animation: blinking 0.3s infinite; /* 1s means the animation will last 1 second, 'infinite' means it will repeat infinitely */
}
.blinking-text2 {
  animation: blinking 1s infinite; /* 1s means the animation will last 1 second, 'infinite' means it will repeat infinitely */
}

/* Jumbotron */
#jumbotron {
  width: 100%;
  height: 60vh !important;
}
#jumbotron .container {
  height: 60%;
}
#jumbotron h6 {
  letter-spacing: 2px;
}
#jumbotron .sosmed a {
  width: 2rem;
  height: 2rem;
  display: flex;
  justify-content: center;
  align-items: center;
}

/* Skills */
#skills {
  width: 100%;
  background-color: #86e0e8;
}
#skills .col-md i {
  font-size: 8rem !important;
  color: #366dc6;
  /* color: #fcaeae; */
}
#skills .col-md .shadow {
  text-align: center;
  transition: transform 0.5s;
}
#skills .col-md .shadow:hover {
  transform: translateY(-0.5rem);
}

.carousel-item {
  position: relative;
}
.carousel-item::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.1);
}

/* Footer */
footer {
  width: 100%;
  background: #3c21d8;
}

/* Loading */
.loading {
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  background: #fff;
  z-index: 1000;
  display: flex;
  justify-content: center;
  align-items: center;
}
.loading .loader {
  width: 50px;
  height: 50px;
  position: relative;
}
.loading .loader::before {
  position: absolute;
  content: "";
  top: 50%;
  transform: translateY(-50%);
  border-radius: 50%;
  width: 16px;
  height: 16px;
  background: #0a1931;
  left: 0;
  animation: loadingBefore 2s ease-in-out infinite;
}
.loading .loader::after {
  position: absolute;
  content: "";
  top: 50%;
  transform: translateY(-50%);
  border-radius: 50%;
  width: 16px;
  height: 16px;
  background: #0a1931;
  right: 0;
  animation: loadingAfter 2s ease-in-out infinite;
}

@keyframes loadingBefore {
  0% {
    transform: translateY(-50%) scale(1);
    left: 0;
  }
  25% {
    transform: translate(-50%, -50%) scale(1);
    left: 50%;
  }
  50% {
    transform: translate(-50%, -50%) scale(1.8);
    left: 50%;
  }
  75% {
    transform: translate(-50%, -50%) scale(1);
    left: 50%;
  }
  100% {
    transform: translateY(-50%) scale(1);
    left: 0;
  }
}
@keyframes loadingAfter {
  0% {
    transform: translateY(-50%) scale(1);
    right: 0;
  }
  25% {
    transform: translate(50%, -50%) scale(1);
    right: 50%;
  }
  50% {
    transform: translate(50%, -50%) scale(1.8);
    right: 50%;
  }
  75% {
    transform: translate(50%, -50%) scale(1);
    right: 50%;
  }
  100% {
    transform: translateY(-50%) scale(1);
    right: 0;
  }
}
